Freeciv-3.3: /fast/freeciv/nightly/main/common/fc_interface.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
fc_interface.c File Reference
`#include "astring.h"`
`#include "fciconv.h"`
`#include "netfile.h"`
`#include "shared.h"`
`#include "player.h"`
`#include "tile.h"`
`#include "vision.h"`
`#include "fc_interface.h"`

Go to the source code of this file.

## Functions

struct functions * | fc_interface_funcs (void)
void | i_am_server (void)
void | i_am_client (void)
void | libfreeciv_init (bool check_fc_interface)
void | libfreeciv_free (void)

## Variables

struct functions | fc_functions
const struct functions * | fc_funcs = NULL
bool | fc_funcs_defined = FALSE

## Function Documentation

## ◆ fc_interface_funcs()

struct functions * fc_interface_funcs | ( | void |  | ) |

Return the function pointer. Only possible before interface_init() was called (fc_funcs_defined FALSE).

Definition at line 47 of file fc_interface.c.

Referenced by fc_interface_init_client(), fc_interface_init_server(), and fc_interface_init_tool().

## ◆ i_am_client()

void i_am_client | ( | void |  | ) |

Set program type to client.

Definition at line 65 of file fc_interface.c.

Referenced by client_main().

## ◆ i_am_server()

void i_am_server | ( | void |  | ) |

Set program type to server.

Definition at line 57 of file fc_interface.c.

Referenced by i_am_tool(), and srv_init().

## ◆ libfreeciv_free()

void libfreeciv_free | ( | void |  | ) |

Free misc resources allocated for libfreeciv.

Definition at line 102 of file fc_interface.c.

Referenced by client_exit(), fcmp_deinit(), main(), and server_quit().

## ◆ libfreeciv_init()

void libfreeciv_init | ( | bool | check_fc_interface | ) |

Initialize libfreeciv.

Parameters

  check_fc_interface | Whether to also test and initialize functions.

Definition at line 75 of file fc_interface.c.

Referenced by fc_interface_init_client(), fc_interface_init_server(), fc_interface_init_tool(), and fcmp_init().

## Variable Documentation

## ◆ fc_funcs

const struct functions* fc_funcs = NULL

Definition at line 38 of file fc_interface.c.

Referenced by actres_possible(), can_player_see_unit_at(), is_action_possible(), libfreeciv_init(), objbind_get_value_from_object(), player_can_trust_tile_has_no_units(), player_clear(), rgbcolor_destroy(), server_setting_by_name(), server_setting_name_get(), server_setting_type_get(), server_setting_value_bitwise_get(), server_setting_value_bool_get(), server_setting_value_int_get(), tile_create_extra(), tile_destroy_extra(), and tile_get_known().

## ◆ fc_funcs_defined

bool fc_funcs_defined = FALSE

Definition at line 41 of file fc_interface.c.

Referenced by fc_interface_funcs(), and libfreeciv_init().

## ◆ fc_functions

struct functions fc_functions

Definition at line 35 of file fc_interface.c.

Referenced by fc_interface_funcs(), and libfreeciv_init().